From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Module-ExtractUse/
Date: Mon, 27 Feb 2012 21:01:29 +0000 (UTC) [thread overview]
Message-ID: <1330370576.aca2d9f2b4e434d4b79c0a0822e84c0ef926e3cb.kent@gentoo> (raw)
commit: aca2d9f2b4e434d4b79c0a0822e84c0ef926e3cb
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Mon Feb 27 19:22:56 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Mon Feb 27 19:22:56 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=aca2d9f2
[newversion] Module-ExtractUse-0.240.0
(Portage version: 2.2.0_alpha85/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)
---
| 6 +++
| 48 ++++++++++++++++++++
2 files changed, 54 insertions(+), 0 deletions(-)
--git a/dev-perl/Module-ExtractUse/ChangeLog b/dev-perl/Module-ExtractUse/ChangeLog
index 1524b90..3dd1106 100644
--- a/dev-perl/Module-ExtractUse/ChangeLog
+++ b/dev-perl/Module-ExtractUse/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Module-ExtractUse-0.240.0 (27 Feb 2012)
+
+ 27 Feb 2012; Kent Fredric <kentfredric@gmail.com>
+ +Module-ExtractUse-0.240.0.ebuild:
+ Version Bump
+
27 Feb 2012; Kent Fredric <kentfredric@gmail.com>
Module-ExtractUse-0.230.0.ebuild:
Fixdep on PodStrip
--git a/dev-perl/Module-ExtractUse/Module-ExtractUse-0.240.0.ebuild b/dev-perl/Module-ExtractUse/Module-ExtractUse-0.240.0.ebuild
new file mode 100644
index 0000000..b23eb11
--- /dev/null
+++ b/dev-perl/Module-ExtractUse/Module-ExtractUse-0.240.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=DOMM
+MODULE_VERSION=0.24
+inherit perl-module
+
+DESCRIPTION='Find out what modules are used'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+ # Module::Build 0.38 ( 0.380.0 )
+ echo \>=virtual/perl-Module-Build-0.380.0
+}
+perl_meta_build() {
+ # Test::Deep 0.087 ( 0.87.0 )
+ echo \>=dev-perl/Test-Deep-0.087
+ # Test::More
+ echo virtual/perl-Test-Simple
+ # Test::NoWarnings
+ echo dev-perl/Test-NoWarnings
+ # Test::Pod
+ echo dev-perl/Test-Pod
+ # Test::Pod::Coverage
+ echo dev-perl/Test-Pod-Coverage
+ # UNIVERSAL::require
+ echo dev-perl/UNIVERSAL-require
+}
+perl_meta_runtime() {
+ # Parse::RecDescent 1.94 ( 1.940.0 )
+ echo \>=dev-perl/Parse-RecDescent-1.940.0
+ # Pod::Strip 1.00 ( 1.0.0 )
+ echo \>=dev-perl/Pod-Strip-1.0.0
+ # perl 5.008 ( 5.8.0 )
+ echo \>=dev-lang/perl-5.8.0
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2012-02-27 21:04 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-02-27 21:01 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-03-31 18:39 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Module-ExtractUse/ Kent Fredric
2015-03-31 18:39 Kent Fredric
2013-04-28 14:06 Kent Fredric
2013-03-02 7:02 Kent Fredric
2013-02-10 12:18 Kent Fredric
2012-08-23 12:35 Kent Fredric
2012-03-27 9:30 Kent Fredric
2012-02-27 21:01 Kent Fredric
2012-02-27 21:01 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1330370576.aca2d9f2b4e434d4b79c0a0822e84c0ef926e3cb.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox